import os
import fileinput
import numpy as np

factor = np.arange(1.08,1.21,.001)

name_geo = "4_pol.geo"
for k in range(factor.shape[0]):
    text = "fac = "   # if any line contains this text, I want to modify the whole line.
    new_text = "fac = " + str(factor[k]) + ";"

    for line in fileinput.input(name_geo, inplace = 1):
        if text in line:
            print line.replace(line,new_text)
        else:
            print line.strip()


    os.system("gmsh 4_pol.geo -1 -o 4_pol_" + str(factor[k]) + ".msh")

